org.eclipse.actf.ui.util

## Class AbstractPartListener

- java.lang.Object
- - org.eclipse.actf.ui.util.AbstractPartListener

All Implemented Interfaces:
  IPartListener2

    public abstract class AbstractPartListener
    extends Object
    implements IPartListener2

Abstract implementation of `IPartListener2`. Clients can override some of the methods based on their purpose.

### Constructor Summary

Constructors
Constructor and Description
`AbstractPartListener()`

### Method Summary

Methods
`void` `partBroughtToTop(IWorkbenchPartReference partRef)`
`void` `partClosed(IWorkbenchPartReference partRef)`
`void` `partDeactivated(IWorkbenchPartReference partRef)`
`void` `partHidden(IWorkbenchPartReference partRef)`
`void` `partInputChanged(IWorkbenchPartReference partRef)`
`void` `partOpened(IWorkbenchPartReference partRef)`
`void` `partVisible(IWorkbenchPartReference partRef)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IPartListener2

`partActivated`

### Constructor Detail

#### AbstractPartListener

    public AbstractPartListener()

### Method Detail

#### partBroughtToTop

    public void partBroughtToTop(IWorkbenchPartReference partRef)

Specified by:
  `partBroughtToTop` in interface `IPartListener2`

#### partClosed

    public void partClosed(IWorkbenchPartReference partRef)

Specified by:
  `partClosed` in interface `IPartListener2`

#### partDeactivated

    public void partDeactivated(IWorkbenchPartReference partRef)

Specified by:
  `partDeactivated` in interface `IPartListener2`

#### partOpened

    public void partOpened(IWorkbenchPartReference partRef)

Specified by:
  `partOpened` in interface `IPartListener2`

#### partHidden

    public void partHidden(IWorkbenchPartReference partRef)

Specified by:
  `partHidden` in interface `IPartListener2`

#### partVisible

    public void partVisible(IWorkbenchPartReference partRef)

Specified by:
  `partVisible` in interface `IPartListener2`

#### partInputChanged

    public void partInputChanged(IWorkbenchPartReference partRef)

Specified by:
  `partInputChanged` in interface `IPartListener2`